/*
 * Class DYNAMIC_CHAIN [G#1]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1570 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1570 [] = {0xFF01,1551,1569,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1570 [] = {0xFF01,1569,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1570 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1570 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1570 [] = {0xFF01,1569,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1570 [] = {0xFF01,1569,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1570 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1570 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1570 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1570 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1570 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1570 [] = {1569,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1570 [] = {0xFF01,1569,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1570 [] = {0xFF01,1560,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1570 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1570 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1570 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1570 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_1570 [] = {0xFF01,580,0xFFFF};
static const EIF_TYPE_INDEX egt_20_1570 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_1570 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_1570 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_1570 [] = {869,0xFFFF};
static const EIF_TYPE_INDEX egt_24_1570 [] = {0xFF01,1554,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_25_1570 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_26_1570 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_27_1570 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_28_1570 [] = {0xFF01,1569,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_29_1570 [] = {0xFF01,1569,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_30_1570 [] = {0xFF01,601,0xFFFF};
static const EIF_TYPE_INDEX egt_31_1570 [] = {869,0xFFFF};


static const struct desc_info desc_1570[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1570), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1570), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1570), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1570), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1570), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1570), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1570), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1570), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1570), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1570), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1570), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1570), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1570), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1570), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12003, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9201, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8598, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8599, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8600, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8601, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8602, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1570), 8759, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1570), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1570), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9231, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9232, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9075, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11999, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12004, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8944, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12007, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1570), 8752, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8753, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12010, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_1570), 12005, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_1570), 12008, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12013, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_1570), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12016, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12009, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8755, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8756, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8757, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8758, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_1570), 12005, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_1570), 12006, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12013, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12019, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12019, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_1570), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12357, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12358, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9009, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9235, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11997, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12359, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12360, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12361, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_1570), 11009, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_1570), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8750, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9233, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12020, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_1570), 12001, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_1570), 12002, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12011, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12012, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12014, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12015, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12017, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12018, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11998, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_1570), 12362, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8749, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8748, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8751, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8751, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12007, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_1570), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_30_1570), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_31_1570), -1, 0xFFFFFFFF},
};
void Init1570(void)
{
	IDSC(desc_1570, 0, 1569);
	IDSC(desc_1570 + 1, 1, 1569);
	IDSC(desc_1570 + 32, 1134, 1569);
	IDSC(desc_1570 + 41, 1060, 1569);
	IDSC(desc_1570 + 47, 1444, 1569);
	IDSC(desc_1570 + 56, 1570, 1569);
	IDSC(desc_1570 + 59, 1534, 1569);
	IDSC(desc_1570 + 66, 916, 1569);
	IDSC(desc_1570 + 72, 1135, 1569);
	IDSC(desc_1570 + 81, 1088, 1569);
	IDSC(desc_1570 + 83, 1245, 1569);
	IDSC(desc_1570 + 86, 387, 1569);
	IDSC(desc_1570 + 88, 636, 1569);
	IDSC(desc_1570 + 102, 778, 1569);
	IDSC(desc_1570 + 103, 340, 1569);
	IDSC(desc_1570 + 111, 254, 1569);
	IDSC(desc_1570 + 114, 554, 1569);
	IDSC(desc_1570 + 115, 878, 1569);
	IDSC(desc_1570 + 116, 794, 1569);
}


#ifdef __cplusplus
}
#endif
